Page MenuHomePhabricator

Crash in filters
Closed, ResolvedPublic

Description

I get since a few days this here:

AddressSanitizer:DEADLYSIGNAL
=================================================================
==431324==ERROR: AddressSanitizer: SEGV on unknown address 0x7f5607540000 (pc 0x7f560df097fc bp 0x7ffc8e637db0 sp 0x7ffc8e637d10 T0)
==431324==The signal is caused by a WRITE memory access.
    #0 0x7f560df097fb in _op_copy_c_dp_mmx ../src/lib/evas/common/./evas_op_copy/op_copy_color_i386.c:12
    #1 0x7f560df87ce3 in rectangle_draw_internal ../src/lib/evas/common/evas_rectangle_main.c:163
    #2 0x7f560df86305 in evas_common_rectangle_draw_cb ../src/lib/evas/common/evas_rectangle_main.c:29
    #3 0x7f560df867f6 in evas_common_rectangle_draw ../src/lib/evas/common/evas_rectangle_main.c:54
    #4 0x7f560dea83e3 in eng_rectangle_draw ../src/modules/evas/engines/software_generic/evas_engine.c:719
    #5 0x7f560e215dac in evas_render_proxy_subrender ../src/lib/evas/canvas/evas_render.c:2401
    #6 0x7f560e3adfd0 in evas_filter_context_proxy_render_all ../src/lib/evas/filters/evas_filter.c:166
    #7 0x7f560e2e068b in evas_filter_object_render ../src/lib/evas/canvas/evas_filter_mixin.c:416
    #8 0x7f560e1414e9 in evas_object_text_render ../src/lib/evas/canvas/evas_object_text.c:1868
    #9 0x7f560e214f3e in evas_render_mapped ../src/lib/evas/canvas/evas_render.c:2293
    #10 0x7f560e21f4aa in evas_render_updates_internal_loop ../src/lib/evas/canvas/evas_render.c:3131
    #11 0x7f560e22462c in evas_render_updates_internal ../src/lib/evas/canvas/evas_render.c:3596
    #12 0x7f560e2282e4 in evas_render_updates_internal_wait ../src/lib/evas/canvas/evas_render.c:4003
    #13 0x7f560e228595 in _evas_canvas_render_updates ../src/lib/evas/canvas/evas_render.c:4027
    #14 0x7f560e060223 in evas_canvas_render_updates ../src/lib/evas/canvas/evas_canvas_eo.c:252
    #15 0x7f560e063dc4 in evas_render_updates ../src/lib/evas/canvas/evas_canvas_eo.legacy.c:299
    #16 0x7f560d7b0818 in ecore_evas_render ../src/lib/ecore_evas/ecore_evas.c:185
    #17 0x7f560d7c3767 in ecore_evas_manual_render ../src/lib/ecore_evas/ecore_evas.c:2694
    #18 0x55faccb81f7c in evas_filter_text_render_test_fn ../src/tests/evas/evas_test_filters.c:403
    #19 0x7f560d78eded in srunner_run_tagged (/usr/lib/libcheck.so.0+0x5ded)
    #20 0x55faccb28b88 in _efl_suite_run_end ../src/tests/evas/../efl_check.h:282
    #21 0x55faccb29532 in _efl_suite_build_and_run ../src/tests/evas/../efl_check.h:403
    #22 0x55faccb29c34 in main ../src/tests/evas/evas_suite.c:60
    #23 0x7f560d5c5152 in __libc_start_main (/usr/lib/libc.so.6+0x27152)
    #24 0x55faccb27e6d in _start (/home/marcel/git/efl/build-asan/src/tests/evas/evas_suite+0x41e6d)

AddressSanitizer can not provide additional info.
SUMMARY: AddressSanitizer: SEGV ../src/lib/evas/common/./evas_op_copy/op_copy_color_i386.c:12 in _op_copy_c_dp_mmx
==431324==ABORTING

This also happened a few times on travis. (I suspect the same bt as here)

bu5hm4n created this task.Feb 7 2020, 5:46 AM
bu5hm4n triaged this task as Showstopper Issues priority.
bu5hm4n added a project: efl: canvas.
Hermet reassigned this task from Hermet to kimcinoo.Feb 10 2020, 12:49 AM
Hermet added a subscriber: Hermet.
kimcinoo closed this task as Resolved.Feb 12 2020, 4:38 PM

Seems fixed! Thank you!